MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022022Community[OCCT] OCCT:Modeling Algorithmspublic2010-09-20 15:502017-10-10 12:03
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.7.0 
Summary0022022: Cut operation produces invalid result
DescriptionCut between two solids Object.brep and Tool.brep produces invalid result.
restore Object.brep O
restore Tool.brep T
whatis O
O is a shape SOLID FORWARD Modified
whatis T
T is a shape SOLID FORWARD Free Modified Closed
checkshape O
This shape seems to be valid
checkshape T
This shape seems to be valid
cut r O T
whatis r
r is a shape COMPOUND FORWARD Free Modified

Draw[12]> checkshape r
Shape faulty_1 on shape faulty_2 :
BRepCheck_NotClosed

Faulty shapes in variables faulty_1 to faulty_2
================================================
See the attached picture of the result and shapes.zip (shapes to reproduce the bug).
TagsNo tags attached.
Test case numberbugs modalg_7 bug22022
Attached Fileszip file icon shapes.zip (134,874 bytes) 2010-09-20 13:50
jpg file icon Picture_22022.JPG (21,076 bytes) 2010-09-20 13:53
zip file icon Dump_50.zip (21,466 bytes) 2010-09-22 14:28

- Relationships

-  Notes
(0015975)
szy (administrator)
2010-09-22 16:26

# Set field "Customer" to "Community"
# reference ID = 19219
# text of the initial report:
"Here are 2 files. These are dumps of shapes that cause the error
Dump_50_pipe_shell.brep - this is the pipe
Dump_50_pre_sub_solid.brep - this is the shape the pipe is to be subtracted from

I use solid = BRepAlgoAPI_Cut (solid,pipe);
Attached file: Dump_50.zip (21 466 bytes)"
(0015977)
szy (administrator)
2010-09-29 13:17

Check with new boolean operations (bopcut) leads to unhandled exception in
TKBO.dll and Draw crash.
See stack below.
====================================================
> TKBO.dll!IntTools_FClass2d::Init(const TopoDS_Face & aFace={...}, const double
TolUV=9.9999999999999986e-010) Line 477 C++
     TKBO.dll!IntTools_FClass2d::IntTools_FClass2d(const TopoDS_Face & aFace={...},
const double TolUV=9.9999999999999986e-010) Line 53 C++
     TKBO.dll!BOP_WireEdgeClassifier::CompareShapes(const TopoDS_Shape & B1={...},
const TopoDS_Shape & B2={...}) Line 287 + 0x1b bytes C++
     TKBO.dll!BOP_WireEdgeClassifier::Compare(const Handle_BOP_Loop & L1={...},
const Handle_BOP_Loop & L2={...}) Line 85 + 0x1b bytes C++
     TKBO.dll!BOP_Area2dBuilder::InitAreaBuilder(BOP_LoopSet & LS={...},
BOP_LoopClassifier & LC={...}, const unsigned int ForceClass=1) Line 139 +
0x15 bytes C++
     TKBO.dll!BOP_FaceAreaBuilder::InitFaceAreaBuilder(BOP_LoopSet & LS={...},
BOP_LoopClassifier & LC={...}, const unsigned int ForceClass=1) Line 38 C++
     TKBO.dll!BOP_FaceBuilder::Do(const BOP_WireEdgeSet & aWES={...}, const
unsigned int bForceClass=1) Line 88 C++
     TKBO.dll!BOP_SolidSolid::DoNewFaces() Line 624 C++
     TKBO.dll!BOP_SolidSolid::DoWithFiller(const BOPTools_DSFiller &
aDSFiller={...}) Line 161 C++
     TKBO.dll!BRepAlgoAPI_BooleanOperation::Build() Line 381 C++
     TKBO.dll!BRepAlgoAPI_Fuse::BRepAlgoAPI_Fuse(const TopoDS_Shape & S1={...},
const TopoDS_Shape & S2={...}, const BOPTools_DSFiller & aDSF={...}) Line 36 C++
     TKTopTest.dll!boperationFiller(int n=2, const char * * a=0x042eac08,
BOP_Operation anOp=BOP_FUSE, Draw_Interpretor & di={...}) Line 488 + 0x34 bytes C++
     TKTopTest.dll!bopfuse(Draw_Interpretor & di={...}, int n=2, const char * *
a=0x042eac08) Line 406 + 0x13 bytes C++
     TKDraw.dll!CommandCmd(void * clientData=0x021361d0, Tcl_Interp *
interp=0x0220cb68, int argc=2, const char * * argv=0x026990c8) Line 96 + 0x24
bytes C++
     tcl85.dll!0156b675()

(0070649)
apv (tester)
2017-09-18 17:01

Problem described in issue is reproduced on current state of OCCT.
(0071289)
msv (developer)
2017-10-09 09:52

The command 'cut' uses old Boolean operations. They are not maintained and will be removed in the future.
Please check if the problem is reproduced with 'bcut'.
(0071328)
apv (tester)
2017-10-10 11:00

Problem is not reproduced then command "bcut" is used instead of "cut".
(0071329)
apv (tester)
2017-10-10 12:03

According MSV comment, command 'cut' should be replaced by 'bcut'.
bcut operation produces valid result since OCCT6.7.0.
Current issue is FIXED. CLOSED.

- Issue History
Date Modified Username Field Change
2011-02-03 12:47 bugmaster groupset1 => 4096
2011-02-03 12:47 bugmaster Customer => Community
2011-04-06 18:51 bugmaster Assigned To bugmaster => szy
2011-04-06 18:51 bugmaster Status new => assigned
2011-04-07 15:55 szy Assigned To szy => jgv
2011-04-29 15:56 bugmaster Assigned To jgv => pkv
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2017-09-18 17:01 apv Test case number => bugs modalg_7 bug22022
2017-09-18 17:01 apv Note Added: 0070649
2017-09-18 17:01 apv Assigned To pkv =>
2017-09-18 17:01 apv Fixed in Version EMPTY =>
2017-09-18 17:01 apv Description Updated View Revisions
2017-10-09 09:52 msv Note Added: 0071289
2017-10-09 09:52 msv Assigned To => bugmaster
2017-10-09 09:52 msv Status assigned => feedback
2017-10-09 14:15 bugmaster Assigned To bugmaster => apv
2017-10-10 11:00 apv Note Added: 0071328
2017-10-10 11:00 apv Assigned To apv => bugmaster
2017-10-10 12:03 apv Note Added: 0071329
2017-10-10 12:03 apv Status feedback => closed
2017-10-10 12:03 apv Resolution open => fixed
2017-10-10 12:03 apv Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker